Developer Documentation

Public Member Functions | Private Attributes | List of all members
ACG::SceneGraph::ClippingNode::ClippingShaderModifier Class Reference
Inheritance diagram for ACG::SceneGraph::ClippingNode::ClippingShaderModifier:

## Public Member Functions
| ClippingShaderModifier (int _numClipPlanes)
void | modifyVertexIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the vertex shader. More...
void | modifyVertexEndCode (QStringList *_code)
| Append code the the vertex shader. More...
Public Member Functions inherited from ACG::ShaderModifier
virtual void | modifyVertexBeginCode (QStringList *_code)
| Append code the the vertex shader. More...
virtual void | modifyGeometryIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the geometry shader. More...
virtual void | modifyTessControlIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the tessellation control shader. More...
virtual void | modifyTessEvalIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the tessellation evaluation shader. More...
virtual void | modifyFragmentIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the fragment shader. More...
virtual void | modifyFragmentBeginCode (QStringList *_code)
| Append code the the fragment shader. More...
virtual void | modifyFragmentEndCode (QStringList *_code)
| Append code the the fragment shader. More...
virtual void | modifyLightingCode (QStringList *_code, int _lightId, ShaderGenLightType _lightType)
| Modify the default lighting code of the shader generator. More...
virtual bool | replaceDefaultLightingCode ()
| Specify whether this modifier replaces or extends the default lighting code. More...
unsigned int | getID ()
| Returns the modifier ID. More...
| operator std::vector< unsigned int > () const
std::vector< unsigned int > | operator| (const std::vector< unsigned int > &_v) const

## Private Attributes
int | numClipPlanes_

## Additional Inherited Members
Static Public Member Functions inherited from ACG::ShaderModifier
static ShaderModifier * | loadFromFile (QString _filename)
| Load a modifier from file. More...

## Detailed Description

Definition at line 163 of file ClippingNode.hh.

## Member Function Documentation

## ◆ modifyVertexEndCode()

void ACG::SceneGraph::ClippingNode::ClippingShaderModifier::modifyVertexEndCode | ( | QStringList * | _code | ) |
| virtual

Append code the the vertex shader.

Refer to the generation structure (Shader Generator ) to see where your code is added and which variables you can modify. Use

_code->push_back("...");

to insert your code here

Parameters

  _code | string list of shader code.

Reimplemented from ACG::ShaderModifier.

Definition at line 208 of file ClippingNode.cc.

## ◆ modifyVertexIO()

void ACG::SceneGraph::ClippingNode::ClippingShaderModifier::modifyVertexIO | ( | ShaderGenerator * | _shader | ) |
| virtual

Add your own inputs/outputs to the vertex shader.

Your implementation may look like this:

_shader->addInput("vec4 inTangent");
_shader->addUniform("vec4 shaderParam");

Parameters

  _shader | shader interface

Reimplemented from ACG::ShaderModifier.

Definition at line 201 of file ClippingNode.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/libs_required/ACG/Scenegraph/ClippingNode.hh
- OpenFlipper/libs_required/ACG/Scenegraph/ClippingNode.cc